<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\GebaeudeGrafik;

class GebaeudeGrafikRowView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/gebaeudegrafik/gebaeudegrafik_tablerow.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    $this->viewModel->tabellenZeile->kursort->kursplanung_datum = $this->viewModel->kursplanungDatum;
    
    $this->viewModel->tabellenZeile->kursort->height = $this->viewModel->tabellenZeile->height;
    $this->viewModel->tabellenZeile->kursort->uhr_von = $this->viewModel->uhrVon;
    $this->viewModel->tabellenZeile->kursort->uhr_bis = $this->viewModel->uhrBis;

    return array($this->viewModel->tabellenZeile->kursort);
  }

  protected function getHeaderExportAdapter()
  {
    return new \ExpKursorte();
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->index => $this->viewModel->tabellenZeile);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpBasis(true);
  }
}

class GebaeudeGrafikRowViewModel
{
  public $tabellenZeile;
  public $index;
  public $kursplanungDatum;
  public $uhrVon;
  public $uhrBis;
  public $isDateInPast;
}